<template>
  <header class="header section">
    <div class="header-wrapper">
      <nuxt-link to="/" class="header-logo">
        <div>
          ТАҲСИЛОТИ МУТТАСИЛИ <br />
          ТИББӢ
        </div>
      </nuxt-link>
      <div class="header-links">
        <nuxt-link
          to="/catalog/events"
          class="header-right__link"
          active-class="header-right__link--active"
        >
          <span> Чорабиниҳо </span>
        </nuxt-link>
        <nuxt-link
          to="/catalog/qualifications"
          class="header-right__link"
          active-class="header-right__link--active"
        >
          <span> Такмили ихтисос </span>
        </nuxt-link>
        <nuxt-link
          to="/catalog/materials"
          class="header-right__link"
          active-class="header-right__link--active"
        >
          <span> Маводҳо </span>
        </nuxt-link>
      </div>
      <div class="header-right" v-if="!$auth.loggedIn">
        <login>
          <div class="curve-btn">
            <div><i class="bx bx-user"></i> &nbsp; Воридшавӣ</div>
          </div>
        </login>
        <nuxt-link to="/profile/registration" class="curve-btn">
          <div><i class="bx bx-plus"></i> &nbsp; Аъзо шудан</div>
        </nuxt-link>
      </div>
      <div class="header-right" v-else>
        <button type="button" @click="$auth.logout()" class="curve-btn">
          <div><i class="bx bx-log-out"></i> &nbsp; Баромад</div>
        </button>
        <nuxt-link to="/profile/account" class="curve-btn">
          <div><i class="bx bx-user"></i> &nbsp; Ҳуҷраи инфиродӣ</div>
        </nuxt-link>
      </div>

      <div class="header-menu" @click="isMenu = true">
        <img src="/icon-menu.png" />
      </div>

      <div class="header-menu__wrapper" v-if="isMenu">
        <div class="header-menu-close" @click.stop="isMenu = false"></div>
        <div class="header-menu-links" @click="isMenu = false">
          <nuxt-link
            to="/catalog/events"
            class="header-menu-right__link"
            active-class="header-menu-right__link--active"
          >
            <span> Чорабиниҳо </span>
          </nuxt-link>
          <nuxt-link
            to="/catalog/qualifications"
            class="header-menu-right__link"
            active-class="header-menu-right__link--active"
          >
            <span> Такмили ихтисос </span>
          </nuxt-link>
          <nuxt-link
            to="/catalog/materials"
            class="header-menu-right__link"
            active-class="header-menu-right__link--active"
          >
            <span> Маводҳо </span>
          </nuxt-link>
        </div>
        <div class="header-menu-right" v-if="!$auth.loggedIn">
          <login>
            <div class="curve-btn">
              <div><i class="bx bx-user"></i> &nbsp; Воридшавӣ</div>
            </div>
          </login>
          <div @click="isMenu = false">
            <nuxt-link to="/profile/registration" class="curve-btn">
              <div><i class="bx bx-plus"></i> &nbsp; Аъзо шудан</div>
            </nuxt-link>
          </div>
        </div>
        <div class="header-menu-right" v-else>
          <button
            type="button"
            @click="
              $auth.logout();
              isMenu = false;
            "
            class="curve-btn"
          >
            <div><i class="bx bx-log-out"></i> &nbsp; Баромад</div>
          </button>
          <nuxt-link to="/profile/account" class="curve-btn">
            <div><i class="bx bx-user"></i> &nbsp; Ҳуҷраи инфиродӣ</div>
          </nuxt-link>
        </div>
      </div>
    </div>
  </header>
</template>

<script>
export default {
  data() {
    return {
      isMenu: false,
    };
  },
  methods: {
    openLogin() {
      // console.log(document.querySelector('.loginComponent'))
      document.querySelector(".loginComponent").click();
    },
  },
};
</script>

<style lang="scss" scoped>
.header {
  position: sticky;
  top: 0;
  background: #fff;
  z-index: 101;
  @include less-than(tablet) {
    padding: 0;
  }
  &-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  &-logo {
    font-size: 16px;
    font-weight: 600;
    color: #fff;
    text-decoration: none;
    background: linear-gradient(to right, #0c63e4, #3485ff);
    background-size: 100% 96px;
    background-position: 0 0;
    transition: all ease 0.3s;
    text-transform: uppercase;
    letter-spacing: 0.08em;
    padding: 10px 22px;
    font-family: "Montserrat-Bold";

    @include less-than(tablet) {
      font-size: 13px;
    }
  }

  &-links {
    display: flex;
    @include less-than(tablet) {
      display: none;
    }
  }

  &-right {
    height: 60px;
    display: flex;
    align-items: center;
    @include less-than(tablet) {
      display: none;
    }
    .curve-btn {
      color: #fff;
      cursor: pointer;
    }
  }
  &-right__link {
    padding: 0 30px;
    transition: all ease 0.3s;
    &:hover {
      color: #0c63e4;
      span {
        border-color: #0c63e4;
      }
    }
    span {
      border-bottom: 1px dashed #000;
    }
  }
  &-right__link--active {
    color: #0c63e4;
    span {
      border-color: #0c63e4;
    }
  }

  &-menu {
    display: none;
    padding: 14px;
    @include less-than(tablet) {
      display: block;
    }
    img {
      width: 24px;
      height: 17px;
    }
  }

  &-menu__wrapper {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: white;
    z-index: 99999;
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }

  &-menu-close {
    &:after {
      display: inline-block;
      content: "\00d7"; /* This will render the 'X' */
      font-size: 50px;
      font-weight: 200;
      position: absolute;
      top: 0;
      right: 20px;
    }
  }

  &-menu-links {
    display: flex;
    flex-direction: column;
    align-items: center;
    a {
      padding-bottom: 50px;
    }
  }

  &-menu-right {
    // height: 60px;
    margin-top: 50px;
    display: flex;
    align-items: center;
    justify-content: center;

    .curve-btn {
      margin-bottom: 20px;
      color: #fff;
      cursor: pointer;
    }
  }
  &-menu-right__link {
    padding: 0 30px;
    transition: all ease 0.3s;
    &:hover {
      color: #0c63e4;
      span {
        border-color: #0c63e4;
      }
    }
    span {
      border-bottom: 1px dashed #000;
    }
  }
  &-menu-right__link--active {
    color: #0c63e4;
    span {
      border-color: #0c63e4;
    }
  }
}
</style>
